If you have any problems or you want to report a bug please read the FAQ below before contacting our support.

On which devices can I play Downbound?

Currently Downbound is for iOS only. Supported Apple devices are iPhone 3GS, iPhone 4, iPhone 4S, iPad and iPad 2.

Which iOS version do I need to play Downbound?

You should have at least iOS 4.2 installed on your device. It is, however, recommended that you have the latest version of iOS installed.

I don't have iPhone or iPad. Can I still play the game?

Currently you can't play it on other devices than iPhone or iPad. Stay tuned on facebook or twitter if we can make Downbound available for your favorite device!

I want more levels to play!

We are currently working to get more content available for you in the near future! Stay tuned on facebook or twitter for updates!